Foros del Web » Programando para Internet » PHP » Zend »

zend 1.x y 2.

Estas en el tema de zend 1.x y 2. en el foro de Zend en Foros del Web. Buenas a todos, de a poco estoy tratando de aprender zend y hace bastante que tengo instalado la version 1.x, como hago para desintalar la ...
  #1 (permalink)  
Antiguo 31/01/2012, 08:10
 
Fecha de Ingreso: diciembre-2008
Mensajes: 805
Antigüedad: 13 años, 7 meses
Puntos: 20
zend 1.x y 2.

Buenas a todos, de a poco estoy tratando de aprender zend y hace bastante que tengo instalado la version 1.x, como hago para desintalar la 1.x y empezar a aprender la 2??
  #2 (permalink)  
Antiguo 31/01/2012, 08:14
 
Fecha de Ingreso: diciembre-2008
Mensajes: 805
Antigüedad: 13 años, 7 meses
Puntos: 20
Respuesta: zend 1.x y 2.

oh, que hago sigo con 1.x y luego se puede migrar a 2.0. estoy un poco perdido
  #3 (permalink)  
Antiguo 31/01/2012, 08:44
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 14 años, 5 meses
Puntos: 845
Respuesta: zend 1.x y 2.

No tienes que desinstalar nada, es simplemente clonar el repo y empezar a trastear, te dejo una referencia http://akrabat.com/wp-content/upload...ramework-2.pdf y la doc oficial http://framework.zend.com/zf2

Saludos.
__________________
http://es.phptherightway.com/
thats us riders :)
  #4 (permalink)  
Antiguo 31/01/2012, 10:03
Avatar de GatorV
$this->role('moderador');
 
Fecha de Ingreso: mayo-2006
Ubicación: /home/ams/
Mensajes: 38.567
Antigüedad: 16 años, 1 mes
Puntos: 2135
Respuesta: zend 1.x y 2.

Ojo que Zend 2.x no es compatible con Zend 1.x así que cualquier proyecto que tengas bajo Zend 1.x lo vas a tener que re-escribir para adaptarte a Zend 2.x
  #5 (permalink)  
Antiguo 31/01/2012, 12:52
 
Fecha de Ingreso: diciembre-2008
Mensajes: 805
Antigüedad: 13 años, 7 meses
Puntos: 20
Respuesta: zend 1.x y 2.

ok, muchas gracias, una otra consulta, no es compatible, pero debe tener varias cosas similar??
  #6 (permalink)  
Antiguo 31/01/2012, 12:53
Avatar de GatorV
$this->role('moderador');
 
Fecha de Ingreso: mayo-2006
Ubicación: /home/ams/
Mensajes: 38.567
Antigüedad: 16 años, 1 mes
Puntos: 2135
Respuesta: zend 1.x y 2.

Algunas cosas, pero como ahora Zend usa Namespaces, no vas a poder re-utilizar nada del código que tengas, todo va a tener que ser re-adaptado.

Saludos.
  #7 (permalink)  
Antiguo 31/01/2012, 12:57
 
Fecha de Ingreso: diciembre-2008
Mensajes: 805
Antigüedad: 13 años, 7 meses
Puntos: 20
Respuesta: zend 1.x y 2.

bien, muchas gracias, lo que pasa es que hace tiempo empece a aprender zend framework 1.11 y recien estoy entendiedo algo, que me esta costando, ya que en algunos ejemplos que he encontrado son muy complejos y en otros mas sencillo y llegan al mismo resultado, entonces eso me confunde.!!
  #8 (permalink)  
Antiguo 31/01/2012, 18:35
Avatar de andresdzphp
Colaborador
 
Fecha de Ingreso: julio-2011
Ubicación: $this->Colombia;
Mensajes: 2.749
Antigüedad: 11 años
Puntos: 793
Respuesta: zend 1.x y 2.

Cita:
Iniciado por masterpuppet Ver Mensaje
No tienes que desinstalar nada, es simplemente clonar el repo y empezar a trastear, te dejo una referencia http://akrabat.com/wp-content/upload...ramework-2.pdf y la doc oficial http://framework.zend.com/zf2

Saludos.
Me funcionó la guía, pero no me quiere funcionar la consola, si hago zf show version me sale:

Fatal error: Class 'Zend\Tool\Framework\Client\Console\Console' not found in ruta\bin\zf.php on line 611

Hay que hacer algún paso adicional con esta versión 2.0 b2 ?

Hasta la descarga oficial esta desactualizada.

Está más confiable el git ya me funciona.

Gracias masterpuppet por todos esos enlaces tan útiles.
__________________
Si sabemos como leer e interpretar el manual será mucho más fácil aprender PHP. En lugar de confiar en ejemplos o copiar y pegar - PHP

Última edición por andresdzphp; 31/01/2012 a las 19:29 Razón: Descarga oficial está desactualizada
  #9 (permalink)  
Antiguo 01/02/2012, 05:13
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 14 años, 5 meses
Puntos: 845
Respuesta: zend 1.x y 2.

De nada andresdzphp y el paquete para descargar es una opción para aquel que por alguna razón no disponga de git, pero la primera opcion siempre debe ser git(al igual que la plataforma siempre debería ser *nix.), de esa forma siempre vas a estar descargando el último build.

Saludos.
__________________
http://es.phptherightway.com/
thats us riders :)

Etiquetas: 1-x, 2.0, beta, framework, tools
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 23:44.